
**********************************************************.
*  KID_1997_HOSPITAL.SPS --- THIS SPSS CODE WILL CONVERT *.
*                            THE ASCII KID HOSPITAL FILE *.
*                            TO AN SPSS DATA FILE        *.
**********************************************************. 

***** Define the data file *****.

DATA LIST FIXED FILE='Input ASCII file name'/
  HOSPNUM  1-5     
  CHLDWT_U 6-15  (5) 
  CMPBWT_U 16-25 (5) 
  H_BEDSZ  26-26    
  H_BRTH_F 27-32 
  H_CHLD_F 33-38 
  H_CMPB_F 39-44 
  H_CONTRL 45-45    
  H_DISC_F 46-55
  H_HOSP_F 56-61 
  H_LOC    62-62    
  H_LOCTCH 63-63    
  H_REGION 64-64    
  H_TCH    65-65    
  H_UNCB_F 66-71  
  NACHTYPE 72-72    
  N_BRTH_U 73-82  
  N_DISC_U 83-92  
  N_HOSP_U 93-102 
  STRATUM  103-106 
  S_BRTH_U 107-112  
  S_CHLD   113-117  
  S_CHLD_U 118-123  
  S_CMPB   124-128  
  S_CMPB_U 129-134  
  S_DISC_U 135-140  
  S_HOSP_U 141-146  
  S_UNCB   147-151  
  S_UNCB_U 152-157  
  TOTDSCHG 158-163  
  UNCBWT_U 164-173 (5) 
  YEAR     174-175.  

***** Define missing values *****.

MISSING VALUES
  YEAR (-9 thru -6)
  STRATUM (-999 thru -666)
  S_CHLD S_CMPB S_UNCB (-9999 thru -6666)
  H_BRTH_F H_CHLD_F H_CMPB_F H_HOSP_F H_UNCB_F S_BRTH_U S_CHLD_U 
  S_CMPB_U S_DISC_U S_HOSP_U S_UNCB_U TOTDSCHG  (-99999 thru -66666)
  H_DISC_F N_BRTH_U N_DISC_U N_HOSP_U (-999999999 thru -666666666).

***** Assign labels to variables *****.

VARIABLE LABELS 
  HOSPNUM  'Synthetic hospital number'
  CHLDWT_U 'Weight to ped. non-births in universe'
  CMPBWT_U 'Weight to compl. births in universe'
  H_BEDSZ  'Bedsize of hospital'
  H_BRTH_F 'Num. frame HCUP births in STRATUM'
  H_CHLD_F 'No. fr. HCUP ped. non-brths in STRATUM'
  H_CMPB_F 'No. frame HCUP comp. births in STRATUM'
  H_CONTRL 'Control/ownership of hospital'
  H_DISC_F 'Num. frame HCUP discharges in STRATUM'
  H_HOSP_F 'Num. frame HCUP hospitals in STRATUM'
  H_LOC    'Location (urban/rural) of hospital'
  H_LOCTCH 'Location/teaching status of hospital'
  H_REGION 'Region of hospital'
  H_TCH    'Teaching status of hospital'
  H_UNCB_F 'No. fr. HCUP uncomp. births in STRATUM'
  NACHTYPE 'NACHRI hospital type'
  N_BRTH_U 'Num. universe births in STRATUM'
  N_DISC_U 'Num. universe discharges in STRATUM'
  N_HOSP_U 'Num. universe hospitals in STRATUM'
  STRATUM  'Stratum used to post-stratify hospital'
  S_BRTH_U 'Num. sample births in STRATUM'
  S_CHLD   'Pediatric non-births sampled'
  S_CHLD_U 'Num. sample ped. non-births in STRATUM'
  S_CMPB   'Complicated births sampled'
  S_CMPB_U 'Num. sample compl. births in STRATUM'
  S_DISC_U 'Num. samp. births, children in STRATUM'
  S_HOSP_U 'Num. sample hospitals in STRATUM'
  S_UNCB   'Uncomplicated births sampled'
  S_UNCB_U 'Num. sample uncomp. births in STRATUM'
  TOTDSCHG 'Total hospital discharges'
  UNCBWT_U 'Weight to uncompl. births in universe'
  YEAR     'Num Calendar Year'.

***** To permanently store the output SPSS data file *****.

SAVE OUTFILE='Directory and output SPSS file name'.
