/*******************************************************************
*   SPSSload_KID_2000_HOSPITAL.SPS:                               
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      HOSPITAL FILE INTO SPSS                                        
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'KID_2000_HOSPITAL.ASC' FIXED / 
 AHAID                1-  7 (A)
 CHLDWT               8- 17
 CHLDWTCH            18- 27
 CMPBWT              28- 37
 CMPBWTCH            38- 47
 HOSPADDR            48- 77 (A)
 HOSPCITY            78- 97 (A)
 HOSPID              98-102
 HOSPNAME           103-132 (A)
 HOSPST             133-134 (A)
 HOSPZIP            135-139 (A)
 HOSP_BED           140-141
 HOSP_CON           142-143
 HOSP_LOC           144-145
 HOSP_LT            146-147
 HOSP_REG           148-149
 HOSP_TEA           150-151
 H_BRTH_F           152-157
 H_CHLD_F           158-163
 H_CMPB_F           164-169
 H_DISC_F           170-177
 H_UNCB_F           178-183
 H_HOSP_F           184-187
 IDNUMBER           188-193 (A)
 KID_STRA           194-197
 N_BRTH_U           198-203
 N_DISC_U           204-211
 N_HOSP_U           212-215
 NACHTYPE           216-217
 PEDS_DIS           218-223
 PEDS_PCT           224-231
 S_BRTH_U           232-237
 S_CHLD             238-242
 S_CHLD_U           243-248
 S_CMPB             249-253
 S_CMPB_U           254-259
 S_DISC_U           260-265
 S_HOSP_U           266-269
 S_UNCB             270-274
 S_UNCB_U           275-280
 TOTAL_DI           281-286
 UNCBWT             287-296
 UNCBWTCH           297-306
 YEAR               307-310.


***  Specify write formats  ***.
FORMATS
 CHLDWT              (F8.4) /
 CHLDWTCH            (F8.4) /
 CMPBWT              (F8.4) /
 CMPBWTCH            (F8.4) /
 HOSPID              (F4.0) /
 HOSP_BED            (F3.0) /
 HOSP_CON            (F3.0) /
 HOSP_LOC            (F3.0) /
 HOSP_LT             (F3.0) /
 HOSP_REG            (F3.0) /
 HOSP_TEA            (F3.0) /
 H_BRTH_F            (F8.0) /
 H_CHLD_F            (F8.0) /
 H_CMPB_F            (F8.0) /
 H_DISC_F            (F8.0) /
 H_UNCB_F            (F8.0) /
 H_HOSP_F            (F8.0) /
 KID_STRA            (F4.0) /
 N_BRTH_U            (F8.0) /
 N_DISC_U            (F8.0) /
 N_HOSP_U            (F8.0) /
 NACHTYPE            (F3.0) /
 PEDS_DIS            (F4.0) /
 PEDS_PCT            (F8.4) /
 S_BRTH_U            (F8.0) /
 S_CHLD              (F4.0) /
 S_CHLD_U            (F8.0) /
 S_CMPB              (F4.0) /
 S_CMPB_U            (F8.0) /
 S_DISC_U            (F8.0) /
 S_HOSP_U            (F8.0) /
 S_UNCB              (F4.0) /
 S_UNCB_U            (F8.0) /
 TOTAL_DI            (F4.0) /
 UNCBWT              (F8.4) /
 UNCBWTCH            (F8.4) /
 YEAR                (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 AHAID     "AHA hospital identifier"
 CHLDWT    "Weight to pediatric non-births in universe for estimates other than total charges"
 CHLDWTCH  "Weight to pediatric non-births in universe for total charge estimates"
 CMPBWT    "Weight to complicated births in universe for estimates other than total charges"
 CMPBWTCH  "Weight to complicated births in universe for total charge estimates"
 HOSPADDR  "Hospital address from AHA Survey (Z011)"
 HOSPCITY  "Hospital city from AHA Survey (Z012)"
 HOSPID    "HCUP hospital identification number"
 HOSPNAME  "Hospital name from AHA Survey (Z000)"
 HOSPST    "Hospital state postal code"
 HOSPZIP   "Hospital ZIP Code from AHA Survey (Z014)"
 HOSP_BED  "Bedsize of hospital"
 HOSP_CON  "Control/ownership of hospital"
 HOSP_LOC  "Location (urban/rural) of hospital"
 HOSP_LT   "Location/teaching status of hospital"
 HOSP_REG  "Region of hospital"
 HOSP_TEA  "Teaching status of hospital"
 H_BRTH_F  "Number of frame HCUP births in KID_STRATUM"
 H_CHLD_F  "Number of frame HCUP pediatric non-births in KID_STRATUM"
 H_CMPB_F  "Number of frame HCUP complicated births in KID_STRATUM"
 H_DISC_F  "Number of frame HCUP discharges in KID_STRATUM"
 H_UNCB_F  "Number of frame HCUP uncomplicated births in KID_STRATUM"
 H_HOSP_F  "Number of frame HCUP hospitals in KID_STRATUM"
 IDNUMBER  "AHA hospital identifier without the leading 6"
 KID_STRA  "Hospital stratum used for weights"
 N_BRTH_U  "Number of universe births in KID_STRATUM"
 N_DISC_U  "Number of universe discharges in KID_STRATUM"
 N_HOSP_U  "Number of universe hospitals in KID_STRATUM"
 NACHTYPE  "NACHRI hospital type"
 PEDS_DIS  "Number of discharges, 20 years old or younger, from this hospital in the SID"
 PEDS_PCT  "Percentage of hospital discharges, 20 years old or younger"
 S_BRTH_U  "Number of sample births in KID_STRATUM"
 S_CHLD    "Pediatric non-births sampled"
 S_CHLD_U  "Number of sample pediatric non-births in KID_STRATUM"
 S_CMPB    "Complicated births sampled"
 S_CMPB_U  "Number of sample complicated births in KID_STRATUM"
 S_DISC_U  "Number of sample births and children in KID_STRATUM"
 S_HOSP_U  "Number of sample hospitals in KID_STRATUM"
 S_UNCB    "Uncomplicated births sampled"
 S_UNCB_U  "Number of sample uncomplicated births in KID_STRATUM"
 TOTAL_DI  "Total number of discharges from this hospital in the SID"
 UNCBWT    "Weight to uncomplicated births in universe for estimates other than total charges"
 UNCBWTCH  "Weight to uncomplicated births in universe for total charge estimates"
 YEAR      "Calendar year" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHLDWT
 (-9999.9999,-8888.8888,-6666.6666,-5555.5555=SYSMIS).
RECODE CHLDWTCH
 (-9999.9999,-8888.8888,-6666.6666,-5555.5555=SYSMIS).
RECODE CMPBWT
 (-9999.9999,-8888.8888,-6666.6666,-5555.5555=SYSMIS).
RECODE CMPBWTCH
 (-9999.9999,-8888.8888,-6666.6666,-5555.5555=SYSMIS).
RECODE HOSP_BED
 (-9,-8,-6,-5=SYSMIS).
RECODE HOSP_CON
 (-9,-8,-6,-5=SYSMIS).
RECODE HOSP_LOC
 (-9,-8,-6,-5=SYSMIS).
RECODE HOSP_LT
 (-9,-8,-6,-5=SYSMIS).
RECODE HOSP_REG
 (-9,-8,-6,-5=SYSMIS).
RECODE HOSP_TEA
 (-9,-8,-6,-5=SYSMIS).
RECODE H_BRTH_F
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE H_CHLD_F
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE H_CMPB_F
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE H_DISC_F
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE H_UNCB_F
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE H_HOSP_F
 (-999,-888,-666,-555=SYSMIS).
RECODE KID_STRA
 (-999,-888,-666,-555=SYSMIS).
RECODE N_BRTH_U
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE N_DISC_U
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE N_HOSP_U
 (-999,-888,-666,-555=SYSMIS).
RECODE NACHTYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE PEDS_DIS
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE PEDS_PCT
 (-99.9999,-88.8888,-66.6666,-55.5555=SYSMIS).
RECODE S_BRTH_U
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE S_CHLD
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE S_CHLD_U
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE S_CMPB
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE S_CMPB_U
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE S_DISC_U
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE S_HOSP_U
 (-999,-888,-666,-555=SYSMIS).
RECODE S_UNCB
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE S_UNCB_U
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE TOTAL_DI
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE UNCBWT
 (-9999.9999,-8888.8888,-6666.6666,-5555.5555=SYSMIS).
RECODE UNCBWTCH
 (-9999.9999,-8888.8888,-6666.6666,-5555.5555=SYSMIS).



SAVE OUTFILE = 'KID_2000_HOSPITAL.SAV' /COMPRESSED.
